"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NavLink = void 0;
/**
 * @description The NavLink component.
 */
const react_1 = __importDefault(require("react"));
const react_router_dom_1 = require("react-router-dom");
const useLocale_1 = require("../hooks/useLocale");
const NavLink = function (_a) {
    var { to } = _a, props = __rest(_a, ["to"]);
    let locale = (0, useLocale_1.useLocale)();
    return (react_1.default.createElement(react_router_dom_1.NavLink, Object.assign({ to: `/${locale}${to}` }, props)));
};
exports.NavLink = NavLink;
