"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.S = void 0;
/**
 * @description The S component.
 */
const react_1 = __importDefault(require("react"));
const useString_1 = require("../hooks/useString");
const S = function (_a) {
    var { p, params = {}, html = false, tag = "span" } = _a, rest = __rest(_a, ["p", "params", "html", "tag"]);
    let str = (0, useString_1.useString)(p, { params });
    let elProps = Object.assign(Object.assign({}, rest), { children: html ? undefined : str, dangerouslySetInnerHTML: html ? {
            __html: str,
        } : undefined });
    if (tag === "div") {
        return (react_1.default.createElement("div", Object.assign({}, elProps)));
    }
    return (react_1.default.createElement("span", Object.assign({}, elProps)));
};
exports.S = S;
