"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pgettext = exports.gettext = void 0;
/**
 * Django gettext
 * @param src - string for translation
 */
function gettext(src) {
    return !window.gettext ? src : window.gettext(src);
}
exports.gettext = gettext;
/**
 * Django pgettext
 * @param context - string context
 * @param src - string for translation
 */
function pgettext(context, src) {
    return !window.pgettext ? src : window.pgettext(context, src);
}
exports.pgettext = pgettext;
