"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.transformStringStorageItem = void 0;
const stack_1 = require("./stack");
function transformStringStorageItem(p, value, settings = {}) {
    let params = settings.params || {};
    value = (0, stack_1.pgettext)(p, value);
    Object.keys(params).forEach((key) => {
        value = value.replace(`{{ ${key} }}`, `${params[key]}`);
        value = value.replace(`{{${key}}}`, `${params[key]}`);
    });
    return value;
}
exports.transformStringStorageItem = transformStringStorageItem;
