"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useString = void 0;
const react_1 = require("react");
const useStringStorage_1 = require("./useStringStorage");
function useString(path, settings = {}) {
    const storage = (0, useStringStorage_1.useStringStorage)();
    return (0, react_1.useMemo)(() => {
        return storage.get(path, Object.assign({}, settings));
    }, [path, settings, storage]);
}
exports.useString = useString;
