"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReactRouterDetector = void 0;
const connected_react_router_1 = require("connected-react-router");
const effects_1 = require("redux-saga/effects");
const localeDuck = __importStar(require("../locale.duck"));
class ReactRouterDetector {
    constructor(getCurrent) {
        this.getCurrent = getCurrent;
        const self = this;
        this.locale = null;
        this.sagas = [
            function* () {
                yield (0, effects_1.takeEvery)(connected_react_router_1.LOCATION_CHANGE, function* (a) {
                    const locale = self.current(a.payload.location.pathname);
                    self.locale = locale;
                    yield (0, effects_1.put)(localeDuck.change(locale));
                });
            },
        ];
    }
    current(pathname) {
        return this.getCurrent(pathname);
    }
}
exports.ReactRouterDetector = ReactRouterDetector;
