"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StringStorage = void 0;
const pathGenerator_1 = require("../utils/pathGenerator");
class StringStorage {
    constructor(options = {}) {
        this.options = {};
        this.items = {};
        this.options = options;
    }
    addItems(items) {
        const transformed = (0, pathGenerator_1.makeFlatPathToValueMap)(items);
        this.items = Object.assign(Object.assign({}, this.items), transformed);
    }
    get(path, settings = {}) {
        let found = !!this.items[path];
        return found ?
            this.options.transformItem ? this.options.transformItem(path, this.items[path], settings) : this.items[path]
            : path;
    }
}
exports.StringStorage = StringStorage;
