"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useGoToWithLocale = void 0;
const react_1 = require("react");
const useLocale_1 = require("./useLocale");
const react_router_1 = require("react-router");
function useGoToWithLocale() {
    const locale = (0, useLocale_1.useLocale)();
    const history = (0, react_router_1.useHistory)();
    return (0, react_1.useCallback)((path, state) => {
        return history.push(`/${locale}${path}`, state);
    }, [locale, history]);
}
exports.useGoToWithLocale = useGoToWithLocale;
